using UnityEngine;
using System.Collections;

/**
 * Object always faces the player
 */
public class Sprite : MonoBehaviour {
	
	private Transform player;
	private Vector3 lookAt;
	
	// Use this for initialization
	void Start () {
		player = GameObject.Find("Player").transform;
	}
	
	// Update is called once per frame
	void Update () {
		lookAt = new Vector3(player.position.x, transform.position.y, player.position.z);
		transform.LookAt(lookAt);
	}
}
