using UnityEngine;
using System.Collections;

public class Suspect : MonoBehaviour {
	
	public string species;
	public int strength; // number of arms 0-3
	
	private Material critMaterial;
	
	// Use this for initialization
	void Start () {
		// Figure strength and species from material name
		// Material name is SPECIES+STRENGTH e.g. dog1 for a dog with strength 1
		string matname = transform.Find("plank").renderer.material.name.Substring(0, 7);
		string str = matname.Substring(matname.Length-1);
		strength = int.Parse(str);
		species = matname.Substring(0, matname.Length-1);
		critMaterial = transform.Find("plank").renderer.material;
		//Debug.Log("Suspect is a " + species + " with strength " + strength);
	}
	
	// Update is called once per frame
	void Update () {
		
	}
	
	public Material getMaterial(){
		return critMaterial;
	}
	
	public void makeInvisible(){
		transform.Find("plank").renderer.enabled = false;
		transform.Find("plank").collider.enabled = false;
	}
		
}
